import { Readable } from "stream";
import { HttpFile } from "../models";
import { IHttpResult } from "../interfaces";
import { Component } from "./component";
export declare abstract class FileProcessor extends Component {
    abstract validate(file: HttpFile): IHttpResult;
    abstract upload(stream: Readable & {
        truncated?: boolean;
    }, file: HttpFile): Promise<void>;
    get param(): {
        [key: string]: string;
    };
    /**
     * saves file to supplied path
     *
     * @param {(Readable & { truncated?: boolean })} stream
     * @param {string} pathToSave
     * @return {*}
     * @memberof FileProcessor
     */
    saveTo(stream: Readable & {
        truncated?: boolean;
    }, pathToSave: string): Promise<void>;
}
