import { MIME_TYPE } from "../enums";
import { IComponentProp, IFileResultInfo } from "../interfaces";
export declare class FileHandler {
    private option;
    constructor(option: IComponentProp);
    private getFileInfoFromUrl_;
    getFileResultFromAbsolutePath(absolutePath: string): Promise<IFileResultInfo>;
    private checkForFolderAllowAndReturnPath_;
    handleFileRequest(urlPath: string): Promise<import("../interfaces").IHttpResult>;
    /**
     * process folders handling asuuming path is folder.
     * Please check whether the file is folder before calling this function
     *
     * @private
     * @param {string} filePath
     * @param {Fs.Stats} fileInfo
     * @returns
     * @memberof FileHandler
     */
    private getFileResultForFolderPath_;
    protected isClientHasFreshFile(lastModified: string, etagValue: string): boolean;
    protected sendFileAsResponse(filePath: string, mimeType: MIME_TYPE): Promise<unknown>;
    send(filePathInfo: IFileResultInfo): Promise<unknown>;
    private getFile_;
}
