import { MIME_TYPE, HTTP_METHOD } from "../enums";
import { IComponentProp, IHttpResult } from "../interfaces";
import { App } from "../models";
export declare class RequestHandlerHelper {
    config: App;
    protected componentProps: IComponentProp;
    protected controllerResult: IHttpResult;
    get request(): import("http").IncomingMessage;
    get response(): import("http").ServerResponse<import("http").IncomingMessage>;
    constructor(config: App);
    protected getContentTypeFromNegotiation(type: MIME_TYPE): MIME_TYPE;
    protected getContentTypeFromNegotiationHavingMultipleTypes(types: readonly MIME_TYPE[]): MIME_TYPE;
    protected onBadRequest(error: any): Promise<void>;
    protected onForbiddenRequest(): Promise<void>;
    protected onNotAcceptableRequest(): Promise<void>;
    errorHandler(): import("../models").ErrorHandler;
    onNotFound(): Promise<void>;
    protected onMethodNotAllowed(allowedMethods: HTTP_METHOD[]): Promise<void>;
    onErrorOccured(error: any): Promise<void>;
    protected onRequestOptions(allowedMethods: HTTP_METHOD[]): void;
    private onResultFromError_;
    setCookie(): void;
    private returnResultFromError_;
    protected handleFormatResult_(shouldSendFirstMatch?: boolean): Promise<void>;
    protected endResponse_(negotiateMimeType: MIME_TYPE, shouldEvaluateData?: boolean): void;
    private handleCustomResult_;
    protected handleFinalResult_(): any;
}
