import { ICacheData, ICacheStore } from "../interfaces";
export declare class CacheManager {
    private cacheStore_;
    constructor(cacheStore_: ICacheStore);
    /**
     * set the cache by supplying key and value
     *
     * @param {*} key
     * @param {*} data
     * @param {number} [ttl=600] - time to live in second, default 600
     * @memberof CacheManager
     */
    set(key: any, data: any, ttl?: number): Promise<void>;
    /**
     * return data from cache by key if exist and not expired, otherwise return undefined
     *
     * @param {*} key
     * @return {*}
     * @memberof CacheManager
     */
    get(key: any): Promise<ICacheData>;
    /**
     * delete the cache by key
     *
     * @param {*} key
     * @return {*}
     * @memberof CacheManager
     */
    delete(key: any): Promise<boolean>;
}
